
namespace ClassBuilderWizard.Interfaces
{
    /// <summary>
    /// Classes implementing this interface provide the Class Builder Wizard information about non-data based entities.
    /// </summary>
    public interface IManualPlugin : IPlugin
    {
        /// <summary>
        /// Execute the manual plugin. This is the plugin's main method.
        /// </summary>
        /// <param name="parameters">The plugin parameters that will be passed by the Class Builder Wizard</param>
        /// <returns>The ManualObject entity used by the Class Builder Wizard to construct the entity class</returns>
        ManualObject ExecutePlugin(Parameters parameters);
    }
}
